package com.goldencode.testcases.dmo.p2j_test;

import com.goldencode.p2j.persist.*;
import com.goldencode.p2j.util.*;

/**
 * Data Model Object corresponding with table <code>p2j_test.`customer`</code>
 * (previously <code>p2j_test.customer</code>).
 * <p>
 * table name that conflicts with field names
 */
public interface Customer
extends DataModelObject
{
   /**
    * Getter: customer's name.
    * 
    * @return  name
    */
   public character getName();

   /**
    * Setter: customer's name.
    * 
    * @param   name
    *          name
    */
   public void setName(Text name);

   /**
    * Getter: customer's location.
    * 
    * @return  address
    */
   public character getAddress();

   /**
    * Setter: customer's location.
    * 
    * @param   address
    *          address
    */
   public void setAddress(Text address);

   /**
    * Getter: customer's balance.
    * 
    * @return  balance
    */
   public integer getBalance();

   /**
    * Setter: customer's balance.
    * 
    * @param   balance
    *          balance
    */
   public void setBalance(NumberType balance);

   /**
    * Getter: Unique field name that doesn't conflict.
    * 
    * @return  unique2
    */
   public integer getUnique2();

   /**
    * Setter: Unique field name that doesn't conflict.
    * 
    * @param   unique2
    *          unique2
    */
   public void setUnique2(NumberType unique2);

   /**
    * Getter: field name that conflicts with table and field names
    * 
    * @return  customer
    */
   public integer getCustomer();

   /**
    * Setter: field name that conflicts with table and field names
    * 
    * @param   customer
    *          customer
    */
   public void setCustomer(NumberType customer);

   /**
    * Getter: field name that conflicts with a field name in other tables
    * 
    * @return  description
    */
   public date getDescription();

   /**
    * Setter: field name that conflicts with a field name in other tables
    * 
    * @param   description
    *          description
    */
   public void setDescription(date description);

   /**
    * Getter: conflicts with abbreviation of other field names
    * 
    * @return  uniq
    */
   public logical isUniq();

   /**
    * Setter: conflicts with abbreviation of other field names
    * 
    * @param   uniq
    *          uniq
    */
   public void setUniq(logical uniq);

   /**
    * DMO interface for use by converted business logic.
    */
   public static interface Buf
   extends Customer, Buffer
   {
   }
}
