package com.goldencode.testcases.dmo.p2j_test;

import com.goldencode.p2j.persist.*;
import com.goldencode.p2j.util.*;

/**
 * Data Model Object corresponding with table
 * <code>p2j_test.`new_person`</code> (previously
 * <code>p2j_test.person</code>).
 * <p>
 * Test table with variety of indexes
 */
public interface NewPerson
extends DataModelObject
{
   /**
    * Getter: Site ID
    * 
    * @return  Site ID
    */
   public integer getSite_id();

   /**
    * Setter: Site ID
    * 
    * @param   site_id
    *          Site ID
    */
   public void setSite_id(NumberType site_id);

   /**
    * Getter: empNum
    * 
    * @return  empNum
    */
   public integer getEmpNum();

   /**
    * Setter: empNum
    * 
    * @param   empNum
    *          empNum
    */
   public void setEmpNum(NumberType empNum);

   /**
    * Getter: First
    * 
    * @return  First
    */
   public character getFirstName();

   /**
    * Setter: First
    * 
    * @param   firstName
    *          First
    */
   public void setFirstName(Text firstName);

   /**
    * Getter: Last
    * 
    * @return  Last
    */
   public character getLastName();

   /**
    * Setter: Last
    * 
    * @param   lastName
    *          Last
    */
   public void setLastName(Text lastName);

   /**
    * Getter: MI
    * 
    * @return  MI
    */
   public character getNewMiddleInit();

   /**
    * Setter: MI
    * 
    * @param   newMiddleInit
    *          MI
    */
   public void setNewMiddleInit(Text newMiddleInit);

   /**
    * Getter: SSN
    * 
    * @return  SSN
    */
   public character getSsn();

   /**
    * Setter: SSN
    * 
    * @param   ssn
    *          SSN
    */
   public void setSsn(Text ssn);

   /**
    * Getter: Pay Type
    * 
    * @return  Pay Type
    */
   public character getPayType();

   /**
    * Setter: Pay Type
    * 
    * @param   payType
    *          Pay Type
    */
   public void setPayType(Text payType);

   /**
    * Getter: Hired
    * 
    * @return  Hired
    */
   public date getHireDate();

   /**
    * Setter: Hired
    * 
    * @param   hireDate
    *          Hired
    */
   public void setHireDate(date hireDate);

   /**
    * Getter: Terminated
    * 
    * @return  Terminated
    */
   public date getTermDate();

   /**
    * Setter: Terminated
    * 
    * @param   termDate
    *          Terminated
    */
   public void setTermDate(date termDate);

   /**
    * Getter: Termination Notice TS
    * 
    * @return  Termination Notice TS
    */
   public datetime getTermNotice();

   /**
    * Setter: Termination Notice TS
    * 
    * @param   termNotice
    *          Termination Notice TS
    */
   public void setTermNotice(date termNotice);

   /**
    * Getter: Termination Notice TS-Ext
    * 
    * @return  Termination Notice TS-Ext
    */
   public datetimetz getTermNoticeExt();

   /**
    * Setter: Termination Notice TS-Ext
    * 
    * @param   termNoticeExt
    *          Termination Notice TS-Ext
    */
   public void setTermNoticeExt(date termNoticeExt);

   /**
    * Getter: comments
    * 
    * @return  comments
    */
   public character getComments();

   /**
    * Setter: comments
    * 
    * @param   comments
    *          comments
    */
   public void setComments(Text comments);

   /**
    * Getter: Area Code
    * 
    * @return  Area Code
    */
   public character getAreaCode();

   /**
    * Setter: Area Code
    * 
    * @param   areaCode
    *          Area Code
    */
   public void setAreaCode(Text areaCode);

   /**
    * Getter: Phone
    * 
    * @return  Phone
    */
   public character getPhoneNumber();

   /**
    * Setter: Phone
    * 
    * @param   phoneNumber
    *          Phone
    */
   public void setPhoneNumber(Text phoneNumber);

   /**
    * Getter: Ext
    * 
    * @return  Ext
    */
   public character getExtension();

   /**
    * Setter: Ext
    * 
    * @param   extension
    *          Ext
    */
   public void setExtension(Text extension);

   /**
    * Getter: schedule_property
    * 
    * @return  schedule_property
    */
   public character[] getSchedule_property();

   /**
    * Indexed Getter: schedule_property
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt;
    *          5</code>).
    * 
    * @return  schedule_property
    */
   public character getSchedule_property(int index);

   /**
    * Indexed Getter: schedule_property
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt;
    *          5</code>).
    * 
    * @return  schedule_property
    */
   public character getSchedule_property(NumberType index);

   /**
    * Indexed Setter: schedule_property
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt;
    *          5</code>).
    * @param   element
    *          schedule_property
    */
   public void setSchedule_property(int index, Text element);

   /**
    * Indexed Setter: schedule_property
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt;
    *          5</code>).
    * @param   element
    *          schedule_property
    */
   public void setSchedule_property(NumberType index, Text element);

   /**
    * Set all elements of the target list property to the given scalar value.
    * Modifies the contents of: schedule_property
    * 
    * @param   element
    *          Scalar value to which to set all elements of: schedule_property
    */
   public void setSchedule_property(Text element);

   /**
    * Set as many elements of the target list property as are provided in the
    * given array of scalar values. Modifies the contents of:
    * schedule_property
    * <p>
    * If the given array is larger than the target list, any additional
    * elements in the given array are ignored. If the target array is smaller
    * than the target list, only those elements whose array indices match are
    * updated.
    * 
    * @param   elements
    *          Array of scalar values to which to set the corresponding
    *          elements of: schedule_property
    */
   public void setSchedule_property(Text[] elements);

   /**
    * Report number of list elements for schedule_property
    * 
    * @return  Number of list elements for schedule_property
    */
   public integer sizeSchedule_property();

   /**
    * Getter: Hours
    * 
    * @return  Hours
    */
   public integer[] getHours();

   /**
    * Indexed Getter: Hours
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt;
    *          5</code>).
    * 
    * @return  Hours
    */
   public integer getHours(int index);

   /**
    * Indexed Getter: Hours
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt;
    *          5</code>).
    * 
    * @return  Hours
    */
   public integer getHours(NumberType index);

   /**
    * Indexed Setter: Hours
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt;
    *          5</code>).
    * @param   element
    *          Hours
    */
   public void setHours(int index, NumberType element);

   /**
    * Indexed Setter: Hours
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt;
    *          5</code>).
    * @param   element
    *          Hours
    */
   public void setHours(NumberType index, NumberType element);

   /**
    * Set all elements of the target list property to the given scalar value.
    * Modifies the contents of: Hours
    * 
    * @param   element
    *          Scalar value to which to set all elements of: Hours
    */
   public void setHours(NumberType element);

   /**
    * Set as many elements of the target list property as are provided in the
    * given array of scalar values. Modifies the contents of: Hours
    * <p>
    * If the given array is larger than the target list, any additional
    * elements in the given array are ignored. If the target array is smaller
    * than the target list, only those elements whose array indices match are
    * updated.
    * 
    * @param   elements
    *          Array of scalar values to which to set the corresponding
    *          elements of: Hours
    */
   public void setHours(NumberType[] elements);

   /**
    * Report number of list elements for Hours
    * 
    * @return  Number of list elements for Hours
    */
   public integer sizeHours();

   /**
    * DMO interface for use by converted business logic.
    */
   public static interface Buf
   extends NewPerson, Buffer
   {
   }
}
