package com.goldencode.testcases.dmo.p2j_test;

import com.goldencode.p2j.persist.*;
import com.goldencode.p2j.util.*;

/**
 * Data Model Object corresponding with table <code>p2j_test.`p2j_test`</code>
 * (previously <code>p2j_test.p2j_test</code>).
 * <p>
 * This is an example of a table name that conflicts with the database name.
 */
public interface P2jTest
extends DataModelObject
{
   /**
    * Getter: Field name that conflicts with a table name.
    * 
    * @return  customer
    */
   public character getCustomer();

   /**
    * Setter: Field name that conflicts with a table name.
    * 
    * @param   customer
    *          customer
    */
   public void setCustomer(Text customer);

   /**
    * Getter: Field name that conflicts with other field names (in different
    * tables)
    * 
    * @return  description
    */
   public character getDescription();

   /**
    * Setter: Field name that conflicts with other field names (in different
    * tables)
    * 
    * @param   description
    *          description
    */
   public void setDescription(Text description);

   /**
    * Getter: Field name that is unique across the database.
    * 
    * @return  unique1
    */
   public integer getUnique1();

   /**
    * Setter: Field name that is unique across the database.
    * 
    * @param   unique1
    *          unique1
    */
   public void setUnique1(NumberType unique1);

   /**
    * Getter: conflicting name with cust table's field
    * 
    * @return  p2j
    */
   public date getP2j();

   /**
    * Setter: conflicting name with cust table's field
    * 
    * @param   p2j
    *          p2j
    */
   public void setP2j(date p2j);

   /**
    * DMO interface for use by converted business logic.
    */
   public static interface Buf
   extends P2jTest, Buffer
   {
   }
}
