package com.goldencode.testcases.dmo.p2j_test;

import com.goldencode.p2j.persist.*;
import com.goldencode.p2j.util.*;

/**
 * Data Model Object corresponding with table
 * <code>p2j_test.`vehicle_owner`</code> (previously
 * <code>p2j_test.vehicle-owner</code>).
 */
public interface VehicleOwner
extends DataModelObject
{
   /**
    * Getter: Owner name
    * 
    * @return  Name
    */
   public character getName();

   /**
    * Setter: Owner name
    * 
    * @param   name
    *          Name
    */
   public void setName(Text name);

   /**
    * Getter: Vehicle Identification Number
    * 
    * @return  VIN
    */
   public character getVinNumber();

   /**
    * Setter: Vehicle Identification Number
    * 
    * @param   vinNumber
    *          VIN
    */
   public void setVinNumber(Text vinNumber);

   /**
    * Getter: Price paid for vehicle
    * 
    * @return  Price
    */
   public decimal getPrice();

   /**
    * Setter: Price paid for vehicle
    * 
    * @param   price
    *          Price
    */
   public void setPrice(NumberType price);

   /**
    * DMO interface for use by converted business logic.
    */
   public static interface Buf
   extends VehicleOwner, Buffer
   {
   }
}
