package com.goldencode.testcases.dmo.p2j_test.impl;

import java.io.Serializable;
import java.util.*;
import com.goldencode.p2j.persist.*;
import com.goldencode.p2j.util.*;
import com.goldencode.testcases.dmo.p2j_test.*;

/**
 * Data Model Object corresponding with table
 * <code>p2j_test.cs_test_new</code> (previously
 * <code>p2j_test.cs-test</code>).
 */
@LegacyTable(name = "cs-test", table = "cs_test_new")
@LegacyIndexes(
{
   @LegacyIndex(name = "idx_pos", converted = "cs_test_new_idx_pos",  primary = true)
})
public class Cs_testImpl
implements Serializable,
           Persistable,
           Cs_test
{
   /** Surrogate primary key */
   private Long id = null;

   /** Character */
   @LegacyField( fieldId = 1 , name = "test" , format = "x(8)" , label = "Character")
   private final character test;

   /** Position */
   @LegacyField( fieldId = 2 , name = "pos" , format = "->,>>>,>>9" , initial = "0" , label = "Position")
   private final integer pos;

   /**
    * Default constructor.
    */
   public Cs_testImpl()
   {
      test = new character("");
      pos = new integer(0);
   }

   /**
    * Make a deep copy of the current DMO instance and return it.
    * 
    * @return  A new instance of this class whose data is identical to that of
    *          this instance.
    */
   public Undoable deepCopy()
   {
      Undoable copy = new Cs_testImpl();
      copy.assign(this);
      return copy;
   }

   /**
    * Modify the contained data of the instance to copy the instance data from
    * the given, backup instance.
    * 
    * @param   old
    *          The backup instance from which to copy data.
    */
   public void assign(Undoable old)
   {
      Cs_testImpl from = (Cs_testImpl) old;
      setId(from.getId());
      setTest(from.getTest());
      setPos(from.getPos());
   }

   /**
    * Getter: Surrogate primary key
    * 
    * @return  Primary key
    */
   public Long getId()
   {
      return id;
   }

   /**
    * Setter: Surrogate primary key
    * 
    * @param   id
    *          Primary key
    */
   public void setId(Long id)
   {
      this.id = id;
   }

   /**
    * Getter: Character
    * 
    * @return  Character
    */
   public character getTest()
   {
      return (new character(test));
   }

   /**
    * Setter: Character
    * 
    * @param   test
    *          Character
    */
   public void setTest(Text test)
   {
      this.test.assign(test, true);
   }

   /**
    * Getter: Position
    * 
    * @return  Position
    */
   public integer getPos()
   {
      return (new integer(pos));
   }

   /**
    * Setter: Position
    * 
    * @param   pos
    *          Position
    */
   public void setPos(NumberType pos)
   {
      this.pos.assign(pos, true);
   }
}
